import { filter } from 'lodash'

export const muteWordHits = (status, muteWords) => {
  const statusText = status.text.toLowerCase()
  const statusSummary = status.summary.toLowerCase()
  const hits = filter(muteWords, (muteWord) => {
    if (muteWord.startsWith('/') && muteWord.endsWith('/')) {
      const muteRegex = new RegExp(muteWord.slice(1, -1))
      return muteRegex.test(statusText) || muteRegex.test(statusSummary)
    }
    return statusText.includes(muteWord.toLowerCase()) || statusSummary.includes(muteWord.toLowerCase())
  })

  return hits
}
